#!/bin/bash

export PROJECT_ID=<プロジェクトID> #この左の<プロジェクトID>を、IaaSポータルで確認したプロジェクトIDに置換
export ORCHESTRATION=https://orchestration.${REGION_ID}.cloud.global.fujitsu.com #APIエンドポイントを設定
export STACK_NAME=FW_CDP_STACK_SAMPLE
export PARAMETER_FILE=FW_PARAMETER_SAMPLE_API.json
export TEMPLATE_FILE=FW_TEMPLATE_SAMPLE_API.yaml
export TEMPLATE=$(cat ${TEMPLATE_FILE} | sed -z -e 's/\n/\\n/g')    
export PARAMETER=$(cat ${PARAMETER_FILE}) 

curl -k $ORCHESTRATION/v1/${PROJECT_ID}/stacks -X POST \
-H "X-Auth-Token: $OS_AUTH_TOKEN" -H "Content-Type: application/json" \
-d @- <<EOL
{
  "stack_name": "${STACK_NAME}",
  "template": "${TEMPLATE}",
  "parameters": ${PARAMETER}
}
EOL
